package com.phm.manage.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.phm.common.config.PHMConfig;
import com.phm.common.core.controller.BaseController;
import com.phm.manage.domain.common.CommonResult;
import com.phm.manage.service.IBackupRestoreService;

/**
 * @Description BackupRestoreController
 * @Author WGK
 * @Date 2023/11/27 15:23
 */
@RestController
@RequestMapping("/manage")
public class BackupRestoreController extends BaseController {
    @Autowired
    private IBackupRestoreService backupRestoreService;

    /**
     * 备份文件
     *
     * @return res
     */
    @PostMapping("/file/backup")
    public CommonResult<String> backupFile() {
        backupRestoreService.fileCopyBackup(PHMConfig.getProfile(), PHMConfig.getProfileBackup());
        backupRestoreService.fileCopyBackup(PHMConfig.getCsvFilePath(), PHMConfig.getCsvFileBackupPath());
        return CommonResult.buildSuccess();
    }

    /**
     * 恢复文件
     *
     * @return res
     */
    @PostMapping("/file/restore")
    public CommonResult<String> restoreFile() {
        backupRestoreService.fileCopyRestore(PHMConfig.getProfileBackup(), PHMConfig.getProfile());
        backupRestoreService.fileCopyRestore(PHMConfig.getCsvFileBackupPath(), PHMConfig.getCsvFilePath());
        return CommonResult.buildSuccess();
    }

    /**
     * 备份数据库表数据
     *
     * @return res
     */
    @PostMapping("/db/backup")
    public CommonResult<String> backupDb() {
        return CommonResult.buildSuccess();
    }

    /**
     * 恢复数据库表数据
     *
     * @return res
     */
    @PostMapping("/db/restore")
    public CommonResult<String> restoreDb() {
        return CommonResult.buildSuccess();
    }
}
