package com.phm.manage.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.phm.common.annotation.Anonymous;
import com.phm.common.core.controller.BaseController;
import com.phm.manage.domain.common.CommonResult;
import com.phm.manage.domain.dto.ModelRequest;
import com.phm.manage.service.IModelService;

import cn.hutool.core.util.ObjectUtil;

/**
 * @Description ApiController 模型算法调用API
 * @Author WGK
 * @Date 2023/11/15 10:49
 */
@Anonymous
@RestController
@RequestMapping("/model_api")
public class ModelApiController extends BaseController {
    @Autowired
    private IModelService modelService;

    @PostMapping("/execute")
    public CommonResult<String> executeModel(@RequestBody ModelRequest modelRequest) {
        if (ObjectUtil.isEmpty(modelRequest)) {
            return CommonResult.error("模型参数，不能为空");
        }
        return CommonResult.success(modelService.executeModel(modelRequest));
    }
}