package com.phm.manage.domain;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 单机信息对象 phm_aeroplane
 *
 * @author phm
 * @date 2023-09-01
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class Aircraft extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private long id;

    /**
     * 名称
     */
    @Excel(name = "名称")
    private String name;

    /**
     * 机号
     */
    @Excel(name = "机号")
    private String number;


    /**
     * 归属机型
     */
    private Long aircraftTypeId;

    /**
     * 归属机队
     */
    @Excel(name = "归属机队")
    private String fleetId;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("name", getName())
                .append("number", getNumber())
                .append("fleetId", getFleetId())
                .append("isDelete", getIsDelete())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
