package com.phm.manage.domain;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 分析过程日志对象 phm_analyze_course_log
 *
 * @author phm
 * @date 2023-08-31
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class AnalyzeCourseLog extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private long id;

    /**
     * 模块功能名称
     */
    @Excel(name = "模块功能名称")
    private String moduleName;

    /**
     * 模块功能类型
     */
    @Excel(name = "模块功能类型")
    private String moduleType;

    /**
     * 过程日志
     */
    @Excel(name = "过程日志")
    private String courseContent;

    /**
     * 分析结果状态
     */
    @Excel(name = "分析结果状态")
    private String status;
}
