package com.phm.manage.domain;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;

/**
 * 数据下载对象 phm_data_down_result
 * 
 * @author phm
 * @date 2023-08-24
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class DataDownResult extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一ID */
    @JsonSerialize(using = ToStringSerializer.class)
    private long id;

    /** 指令 */
    @Excel(name = "指令")
    private String order;

    /** 下载的数据名称 */
    @Excel(name = "下载的数据名称")
    private String name;

    /** 保存路径 */
    @Excel(name = "保存路径")
    private String path;
}
