package com.phm.manage.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 衍生参数信息对象 phm_derive_parameter
 *
 * @author phm
 * @date 2023-08-22
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class DeriveParameter extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private long id;

    /**
     * 参数名称
     */
    @Excel(name = "参数名称")
    private String name;

    /**
     * 表达式文件
     */
    @Excel(name = "表达式文件")
    private String expression;
}
