package com.phm.manage.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 诊断结果对象 phm_diagnose_result
 *
 * @author phm
 * @date 2023-08-31
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class DiagnoseResult extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private long id;

    /**
     * 故障模式
     */
    @Excel(name = "故障模式")
    private String faultMode;

    /**
     * 故障对象
     */
    @Excel(name = "故障对象")
    private String faultObject;

    /**
     * 故障编码
     */
    @Excel(name = "故障编码")
    private String faultCode;

    /**
     * 故障源
     */
    @Excel(name = "故障源")
    private String faultSource;

    /**
     * 分析时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "分析时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date analysisTime;

    /**
     * 批注注解
     */
    @Excel(name = "批注注解")
    private String comment;
}
