package com.phm.manage.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 虚警抑制模型对象 phm_false_alarm_restrain_model
 *
 * @author phm
 * @date 2023-08-22
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class FalseAlarmRestrainModel extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private long id;

    /**
     * 故障代码
     */
    @Excel(name = "故障代码")
    private String code;

    /**
     * 抑制判据
     */
    @Excel(name = "抑制判据")
    private String restrainCriteria;

    /**
     * 最少持续时间
     */
    @Excel(name = "最少持续时间")
    private String minDuration;
}
