package com.phm.manage.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 故障分析结果对象 phm_fault_analyze_result
 *
 * @author phm
 * @date 2023-08-22
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class FaultAnalyzeResult extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private long id;

    /**
     * 功能模块名称
     */
    @Excel(name = "功能模块名称")
    private String moduleName;

    /**
     * 功能模块类型
     */
    @Excel(name = "功能模块类型")
    private String moduleType;

    /**
     * 分析结果
     */
    @Excel(name = "分析结果")
    private String analyzeInfo;

    /**
     * 批注，注解
     */
    @Excel(name = "批注，注解")
    private String comment;
}
