package com.phm.manage.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 预测模型信息对象 phm_forecast_model
 *
 * @author phm
 * @date 2023-08-22
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ForecastModel extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private long id;

    /**
     * 预测对象
     */
    @Excel(name = "预测对象")
    private String object;

    /**
     * 预测方法
     */
    @Excel(name = "预测方法")
    private String method;

    /**
     * 训练集范围
     */
    @Excel(name = "训练集范围")
    private String trainsRange;

    /**
     * 预测精度
     */
    @Excel(name = "预测精度")
    private String accuracy;
}
