package com.phm.manage.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 预测结果对象 phm_forecast_result
 *
 * @author phm
 * @date 2023-08-31
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ForecastResult extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private long id;

    /**
     * 部件名称
     */
    @Excel(name = "部件名称")
    private String unitName;

    /**
     * 研究对象
     */
    @Excel(name = "研究对象")
    private String studyObject;

    /**
     * SNS 编码
     */
    @Excel(name = "SNS 编码")
    private String snsCode;

    /**
     * 预测故障
     */
    @Excel(name = "预测故障")
    private String forecastFault;

    /**
     * 分析时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "分析时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date analysisTime;

    /**
     * 批注注解
     */
    @Excel(name = "批注注解")
    private String comment;
}
