package com.phm.manage.domain;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 全局机器ID注册对象 phm_global_id_register
 *
 * @author phm
 * @date 2023-09-08
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class GlobalIdRegister extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private long id;

    /**
     * 机器标识
     */
    @Excel(name = "机器标识")
    private String machine;

    /**
     * 机器id
     */
    @Excel(name = "机器id")
    private Long machineId;

    /**
     * 数据中心id
     */
    @Excel(name = "数据中心id")
    private Long datacenterId;
}
