package com.phm.manage.domain;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 地面诊断模型信息对象 phm_ground_diagnosis_model
 *
 * @author phm
 * @date 2023-08-22
 */

@EqualsAndHashCode(callSuper = true)
@Data
public class GroundDiagnosisModel extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private long id;

    /**
     * 事件代码
     */
    @Excel(name = "事件代码")
    private String code;

    /**
     * 判据
     */
    @Excel(name = "判据")
    private String criteria;

    /**
     * 最少持续时间
     */
    @Excel(name = "最少持续时间")
    private String minDuration;

    /**
     * 所属系统
     */
    @Excel(name = "所属系统")
    private String systemSource;

    /**
     * 所属LRU
     */
    @Excel(name = "所属LRU")
    private String lruSource;
}
