package com.phm.manage.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 导入导出日志;对象 sys_import_export_log
 *
 * @author phm
 * @date 2023-08-22
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ImportExportLog extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private long id;

    /**
     * 模块名称
     */
    @Excel(name = "模块名称")
    private String modelName;

    /**
     * 文件名称
     */
    @Excel(name = "文件名称")
    private String name;

    /**
     * 错误信息
     */
    @Excel(name = "错误信息")
    private String error;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private Long status;
}
