package com.phm.manage.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 维护信息对象 phm_maintenance
 *
 * @author phm
 * @date 2023-08-22
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class Maintenance extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private long id;

    /**
     * 维护代码
     */
    @Excel(name = "维护代码")
    private String code;

    /**
     * 信息描述
     */
    @Excel(name = "信息描述")
    private String description;

    /**
     * 等级
     */
    @Excel(name = "等级")
    private String grade;

    /**
     * 故障源
     */
    @Excel(name = "故障源")
    private String faultSource;

    /**
     * 处理措施
     */
    @Excel(name = "处理措施")
    private String treatmentMeasure;

    /**
     * 故障代码
     */
    @Excel(name = "故障代码")
    private String faultCode;
}
