package com.phm.manage.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 维修测试控制对象 phm_maintenance_test_control
 *
 * @author phm
 * @date 2023-08-22
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class MaintenanceTestControl extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private long id;

    /**
     * 维修控制信息
     */
    @Excel(name = "维修控制信息")
    private String maintenanceControl;

    /**
     * 对象
     */
    @Excel(name = "对象")
    private String object;

    /**
     * 名称
     */
    @Excel(name = "名称")
    private String name;

    /**
     * 程序文件
     */
    @Excel(name = "程序文件")
    private String applicationDoc;

    /**
     * 故障数据
     */
    @Excel(name = "故障数据")
    private String faultData;

    /**
     * 版本
     */
    @Excel(name = "版本")
    private String version;
}
