package com.phm.manage.domain;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 深度隔离模型对象 phm_deep_isolation_model
 *
 * @author phm
 * @date 2023-08-22
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ModelInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private long id;

    /**
     * 模型名称
     */
    @Excel(name = "模型名称")
    private String name;

    /**
     * 模型类型
     */
    @Excel(name = "模型类型")
    private Integer type;

    /**
     * 算法连接
     */
    @Excel(name = "算法连接")
    private String url;

    /**
     * 模型参数
     */
    @Excel(name = "模型参数")
    private String modelParms;

    /**
     * 数据参数
     */
    @Excel(name = "数据参数")
    private String dataParms;
}
