package com.phm.manage.domain;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 指令配置对象 PHM_ORDER_CONFIG
 *
 * @author phm
 * @date 2023-10-07
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class OrderConfig extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private long id;
    /**
     * 指令编码
     */
    @Excel(name = "指令编码")
    private String orderCode;

    /**
     * 指令类型
     */
    @Excel(name = "指令类型")
    private String type;

    /**
     * 指令名称
     */
    @Excel(name = "指令名称")
    private String name;

    /**
     * 架次
     */
    @Excel(name = "架次")
    private String sortie;

    /**
     * 步长
     */
    @Excel(name = "步长")
    private String step;

    /**
     * 指令描述
     */
    @Excel(name = "指令描述")
    private String description;
}
