package com.phm.manage.domain;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 系统指令信息对象 phm_order_info
 *
 * @author phm
 * @date 2023-08-31
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class OrderInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private long id;

    /**
     * 指令批次
     */
    @Excel(name = "指令批次")
    private String orderBatchId;

    /**
     * 指令编码
     */
    @Excel(name = "指令编码")
    private String orderCode;

    /**
     * 指令名称
     */
    @Excel(name = "指令名称")
    private String orderName;

    /**
     * 指令类型
     */
    @Excel(name = "指令类型")
    private String orderType;

    /**
     * 参数内容：JSON格式
     */
    @Excel(name = "参数内容：JSON格式")
    private String content;

    /** 指令状态，0：待执行，1：完成，99：执行异常 */
    @Excel(name = "指令状态")
    private Integer status;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("orderName", getOrderName())
                .append("orderType", getOrderType())
                .append("content", getContent())
                .append("isDelete", getIsDelete())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
