package com.phm.manage.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 性能监测模型信息对象 phm_performance_monitor_model
 *
 * @author phm
 * @date 2023-08-22
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class PerformanceMonitorModel extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private long id;

    /**
     * 监测对象
     */
    @Excel(name = "监测对象")
    private String object;

    /**
     * 监测参数
     */
    @Excel(name = "监测参数")
    private String parameter;

    /**
     * 状态条件
     */
    @Excel(name = "状态条件")
    private String stateCondition;

    /**
     * 取值方法
     */
    @Excel(name = "取值方法")
    private String valueMethod;

    /**
     * 警戒值
     */
    @Excel(name = "警戒值")
    private String alarmValue;

    /**
     * 门限值
     */
    @Excel(name = "门限值")
    private String thresholdValue;
}
