package com.phm.manage.domain;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 产品树信息对象 phm_product
 *
 * @author phm
 * @date 2023-09-01
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class Product extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private long id;

    /**
     * 父ID
     */
    @Excel(name = "父ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long parentId;

    /**
     * 单机ID
     */
    private Long aircraftId;

    /**
     * 归属
     */
    @Excel(name = "归属")
    private String parentName;

    /**
     * 祖父列表
     */
    @Excel(name = "祖父列表")
    private String ancestors;

    /**
     * 产品名称
     */
    @Excel(name = "产品名称")
    private String name;

    /**
     * SNS编号
     */
    @Excel(name = "SNS编号")
    private String snsId;
}
