package com.phm.manage.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 架次信息对象 phm_sortie
 *
 * @author phm
 * @date 2023-08-25
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class Sortie extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private long id;

    /**
     * 机号
     */
    @Excel(name = "机号")
    private String aircraftNumber;

    /**
     * 架次号
     */
    @Excel(name = "架次号")
    private String sortieNumber;

    /**
     * 开始时间
     */
    @Excel(name = "开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /**
     * 结束时间
     */
    @Excel(name = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 飞行时长
     */
    @Excel(name = "飞行时长")
    private String duration;
}
