package com.phm.manage.domain;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description 模型参数信息对象 PHM_SORTIE_PARAMETER
 * @Author WGK
 * @Date 2023/11/21 17:08
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Accessors(chain = true)
public class SortieParameter extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 唯一ID */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 架次编号 */
    @Excel(name = "架次编号")
    private String sortieNo;

    /** 批次号 */
    @Excel(name = "批次号")
    private String batchNo;

    /** 数据类型 */
    private Integer type;

    /** 参数数据路径 */
    @Excel(name = "参数数据路径")
    private String dataPath;
}
