package com.phm.manage.mapper;

import com.phm.manage.domain.GlobalIdRegister;

import java.util.List;

/**
 * 全局机器ID注册Mapper接口
 *
 * @author phm
 * @date 2023-09-08
 */
public interface GlobalIdRegisterMapper {
    /**
     * 查询全局机器ID注册
     *
     * @param id 全局机器ID注册主键
     * @return 全局机器ID注册
     */
    public GlobalIdRegister selectGlobalIdRegisterById(Long id);

    /**
     * 查询最新一条数据
     *
     * @return GlobalIdRegister
     */
    public GlobalIdRegister selectGlobalIdRegister();

    /**
     * 查询全局机器ID注册列表
     *
     * @param globalIdRegister 全局机器ID注册
     * @return 全局机器ID注册集合
     */
    public List<GlobalIdRegister> selectGlobalIdRegisterList(GlobalIdRegister globalIdRegister);

    /**
     * 新增全局机器ID注册
     *
     * @param globalIdRegister 全局机器ID注册
     * @return 结果
     */
    public int insertGlobalIdRegister(GlobalIdRegister globalIdRegister);

    /**
     * 修改全局机器ID注册
     *
     * @param globalIdRegister 全局机器ID注册
     * @return 结果
     */
    public int updateGlobalIdRegister(GlobalIdRegister globalIdRegister);

    /**
     * 删除全局机器ID注册
     *
     * @param id 全局机器ID注册主键
     * @return 结果
     */
    public int deleteGlobalIdRegisterById(Long id);

    /**
     * 批量删除全局机器ID注册
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGlobalIdRegisterByIds(Long[] ids);
}
