package com.phm.manage.mapper;

import java.util.List;

import com.phm.manage.domain.DeepIsolationModel;
import com.phm.manage.domain.ModelInfo;

/**
 * 深度隔离模型Mapper接口
 *
 * @author phm
 * @date 2023-08-22
 */
public interface ModelInfoMapper {
    /**
     * 查询模型
     *
     * @param id 模型主键
     * @return 模型
     */
    ModelInfo selectModelById(Long id);

    /**
     * 查询模型列表
     *
     * @param modelInfo 模型
     * @return 模型集合
     */
    List<ModelInfo> selectModelList(ModelInfo modelInfo);

    /**
     * 新增深度隔离模型
     *
     * @param modelInfo 深度隔离模型
     * @return 结果
     */
    int insertModel(ModelInfo modelInfo);

    /**
     * 修改深度隔离模型
     *
     * @param modelInfo 深度隔离模型
     * @return 结果
     */
    int updateModel(ModelInfo modelInfo);

    /**
     * 删除模型
     *
     * @param id 模型主键
     * @return 结果
     */
    int deleteModelById(Long id);

    /**
     * 批量删除模型
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteModelByIds(Long[] ids);
}
