package com.phm.manage.mapper;

import java.util.List;

import com.phm.manage.domain.OrderConfig;

/**
 * 指令配置Mapper接口
 *
 * @author phm
 * @date 2023-10-07
 */
public interface OrderConfigMapper {
    /**
     * 查询指令配置
     *
     * @param id 指令配置主键
     * @return 指令配置
     */
    public OrderConfig selectOrderConfigById(Long id);

    /**
     * 查询指令配置
     *
     * @param orderCode 指令编码
     * @return 指令配置
     */
    public OrderConfig selectOrderConfigByCode(String orderCode);

    /**
     * 查询指令配置列表
     *
     * @param orderConfig 指令配置
     * @return 指令配置集合
     */
    public List<OrderConfig> selectOrderConfigList(OrderConfig orderConfig);

    /**
     * 新增指令配置
     *
     * @param orderConfig 指令配置
     * @return 结果
     */
    public int insertOrderConfig(OrderConfig orderConfig);

    /**
     * 修改指令配置
     *
     * @param orderConfig 指令配置
     * @return 结果
     */
    public int updateOrderConfig(OrderConfig orderConfig);

    /**
     * 删除指令配置
     *
     * @param id 指令配置主键
     * @return 结果
     */
    public int deleteOrderConfigById(Long id);

    /**
     * 批量删除指令配置
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrderConfigByIds(Long[] ids);
}
