package com.phm.manage.service;

import java.util.List;
import com.phm.manage.domain.GlobalIdRegister;

/**
 * 全局机器ID注册Service接口
 * 
 * @author phm
 * @date 2023-09-08
 */
public interface IGlobalIdRegisterService 
{
    /**
     * 查询全局机器ID注册
     * 
     * @param id 全局机器ID注册主键
     * @return 全局机器ID注册
     */
    public GlobalIdRegister selectGlobalIdRegisterById(Long id);

    /**
     * 查询全局机器ID注册列表
     * 
     * @param globalIdRegister 全局机器ID注册
     * @return 全局机器ID注册集合
     */
    public List<GlobalIdRegister> selectGlobalIdRegisterList(GlobalIdRegister globalIdRegister);

    /**
     * 新增全局机器ID注册
     * 
     * @param globalIdRegister 全局机器ID注册
     * @return 结果
     */
    public int insertGlobalIdRegister(GlobalIdRegister globalIdRegister);

    /**
     * 修改全局机器ID注册
     * 
     * @param globalIdRegister 全局机器ID注册
     * @return 结果
     */
    public int updateGlobalIdRegister(GlobalIdRegister globalIdRegister);

    /**
     * 批量删除全局机器ID注册
     * 
     * @param ids 需要删除的全局机器ID注册主键集合
     * @return 结果
     */
    public int deleteGlobalIdRegisterByIds(Long[] ids);

    /**
     * 删除全局机器ID注册信息
     * 
     * @param id 全局机器ID注册主键
     * @return 结果
     */
    public int deleteGlobalIdRegisterById(Long id);
}
