package com.phm.manage.service;

import java.util.List;

import com.phm.manage.domain.ModelInfo;
import com.phm.manage.domain.dto.ModelRequest;

/**
 * 深度隔离模型Service接口
 *
 * @author phm
 * @date 2023-08-22
 */
public interface IModelService {
    /**
     * 查询模型
     *
     * @param id 模型主键
     * @return 模型
     */
    ModelInfo selectModelById(Long id);

    /**
     * 查询模型列表
     *
     * @param modelInfo 模型
     * @return 模型集合
     */
    List<ModelInfo> selectModelInfoList(ModelInfo modelInfo);

    /**
     * 新增模型
     *
     * @param modelInfo 模型
     * @return 结果
     */
    int insertModelInfo(ModelInfo modelInfo);

    /**
     * 修改模型
     *
     * @param modelInfo 模型
     * @return 结果
     */
    int updateModelInfo(ModelInfo modelInfo);

    /**
     * 批量删除模型
     *
     * @param ids 需要删除的模型主键集合
     * @return 结果
     */
    int deleteModelInfoByIds(Long[] ids);

    /**
     * 删除模型信息
     *
     * @param id 模型主键
     * @return 结果
     */
    int deleteModelInfoById(Long id);

    /**
     * 执行模型
     *
     * @param modelRequest 模型参数类
     * @return 结果
     */
    String executeModel(ModelRequest modelRequest);
}
