package com.phm.manage.service;

import com.phm.manage.domain.SortieParameter;

import java.util.List;

/**
 * @Description ISortieParameterService
 * @Author WGK
 * @Date 2023/11/21 17:13
 */
public interface ISortieParameterService {
    /**
     * 查询模型参数信息
     *
     * @param id 模型参数信息主键
     * @return 模型参数信息
     */
    public SortieParameter selectSortieParameterById(Long id);

    /**
     * 查询模型参数信息列表
     *
     * @param sortieParameter 模型参数信息
     * @return 模型参数信息集合
     */
    public List<SortieParameter> selectSortieParameterList(SortieParameter sortieParameter);

    /**
     * 新增模型参数信息
     *
     * @param sortieParameter 模型参数信息
     * @return 结果
     */
    public int insertSortieParameter(SortieParameter sortieParameter);

    /**
     * 修改模型参数信息
     *
     * @param sortieParameter 模型参数信息
     * @return 结果
     */
    public int updateSortieParameter(SortieParameter sortieParameter);

    /**
     * 批量删除模型参数信息
     *
     * @param ids 需要删除的模型参数信息主键集合
     * @return 结果
     */
    public int deleteSortieParameterByIds(Long[] ids);

    /**
     * 删除模型参数信息信息
     *
     * @param id 模型参数信息主键
     * @return 结果
     */
    public int deleteSortieParameterById(Long id);

    String getSortieData(Long id);
}
