package com.phm.manage.util;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;

import lombok.extern.slf4j.Slf4j;
import org.apache.http.entity.ContentType;
import org.springframework.mock.web.MockMultipartFile;
import org.springframework.web.multipart.MultipartFile;

/**
 * @Description FileUtil
 * @Author WGK
 * @Date 2023/11/26 12:27
 */
@Slf4j
public class FileUtil {
    public static MultipartFile fileToMultipartFile(File file) throws IOException {
        FileInputStream fileInputStream = null;
        MultipartFile multipartFile = null;
        try {
            fileInputStream = new FileInputStream(file);
            multipartFile = new MockMultipartFile(file.getName(), file.getName(),
                ContentType.APPLICATION_OCTET_STREAM.toString(), fileInputStream);
        } catch (Exception e) {
            log.error(e.getMessage());
        }
        return multipartFile;
    }
}
