package com.phm.manage.util;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.phm.manage.domain.common.CommonResult;

import cn.hutool.core.io.FileUtil;
import cn.hutool.core.text.csv.CsvData;
import cn.hutool.core.text.csv.CsvReader;
import cn.hutool.core.text.csv.CsvRow;
import cn.hutool.core.text.csv.CsvUtil;
import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import lombok.extern.slf4j.Slf4j;

/**
 * @Description JsonUtils
 * @Author WGK
 * @Date 2023/10/10 22:33
 */
@Slf4j
public class JsonUtils {

    /**
     * 返回值转JSON
     *
     * @param commonResult 公共返回值
     * @return 结果
     * @throws JsonProcessingException Exception
     */
    public static String convertJson(CommonResult commonResult) throws JsonProcessingException {
        ObjectMapper objectMapper = new ObjectMapper();
        return objectMapper.writeValueAsString(commonResult);
    }
}
