package com.phm.manage.util;

import java.io.File;
import java.io.FileInputStream;

import lombok.extern.slf4j.Slf4j;
import org.apache.http.entity.ContentType;
import org.springframework.mock.web.MockMultipartFile;
import org.springframework.web.multipart.MultipartFile;

/**
 * @Description MultipartFile和File互转工具类
 * @Author WGK
 * @Date 2023/11/21 10:21
 */
@Slf4j
public class MultipartFileUtil {

    /**
     * File 转MultipartFile
     *
     * @param file file
     * @return MultipartFile
     */
    public static MultipartFile getMultipartFile(File file) {
        FileInputStream fileInputStream;
        MultipartFile multipartFile = null;
        try {
            fileInputStream = new FileInputStream(file);
            multipartFile = new MockMultipartFile(file.getName(), file.getName(),
                ContentType.APPLICATION_OCTET_STREAM.toString(), fileInputStream);
        } catch (Exception e) {
            log.error(e.getMessage());
        }
        return multipartFile;
    }
}
