package com.phm.manage.util;

import com.phm.manage.domain.common.OrderXmlVO;
import lombok.extern.slf4j.Slf4j;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Unmarshaller;
import java.io.StringReader;

/**
 * @Description XMLParserWithJAXB
 * @Author WGK
 * @Date 2023/9/22 15:13
 */
@Slf4j
public class XMLParserWithJAXB {
    public static OrderXmlVO xmlToObject(String xmlString) {
        OrderXmlVO xmlVO = null;
        log.error(xmlString);
        // 创建JAXB上下文
        try {
            JAXBContext context = JAXBContext.newInstance(OrderXmlVO.class);
            // 创建Unmarshaller
            Unmarshaller unmarshaller = context.createUnmarshaller();
            // 解析XML字符串并将其转换为Java对象
            xmlVO = (OrderXmlVO) unmarshaller.unmarshal(new StringReader(xmlString));

            // 现在您可以使用yourObject对象
            System.out.println("Type: " + xmlVO.getType());
            System.out.println("Name: " + xmlVO.getName());
        } catch (JAXBException exception) {
            log.error(exception.getMessage());
        }
        return xmlVO;
    }
}
