package com.phm.netty.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

/**
 * @Description NettyProperties 配置项
 *
 * @Author WGK
 * @Date 2023/9/14 11:31
 */
@Component
@Data
@ConfigurationProperties(prefix = "netty-init")
@PropertySource(value = {"classpath:application-tcp-netty.yml"})
public class NettyTcpProperties {

    /**
     * boss线程数量
     */
    @Value("${boss}")
    private Integer boss;

    /**
     * worker线程数量
     */
    @Value("${worker}")
    private Integer worker;

    /**
     * 连接超时时间
     */
    @Value("${timeout}")
    private Integer timeout;

    /**
     * 服务器主端口
     */
    @Value("${port}")
    private Integer port;

    /**
     * 服务器备用端口
     */
    @Value("${portSalve}")
    private Integer portSalve;

    /**
     * 服务器备用端口
     */
    @Value("${de-code-size}")
    private Integer deCodeSize;

    /**
     * 服务器备用端口
     */
    @Value("${separator}")
    private String separator;

    /**
     * 服务器地址
     */
    @Value("${host}")
    private String host;

    /**
     * 远程端口
     */
    @Value("${remote-port}")
    private Integer remotePort;

    /**
     * 远程服务器地址
     */
    @Value("${remote-host}")
    private String remoteHost;
}
