package com.phm.netty.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.phm.common.annotation.Anonymous;
import com.phm.common.core.controller.BaseController;
import com.phm.manage.domain.common.CommonResult;
import com.phm.netty.client.NettyUdpClient;
import com.phm.netty.domain.Message;
import com.phm.netty.enums.OrderEnum;

/**
 * @Description NettyUdpClientController
 * @Author WGK
 * @Date 2023/10/30 15:46
 */
@RestController
@Anonymous
@RequestMapping("/udp")
public class NettyUdpClientController extends BaseController {
    @Autowired
    private NettyUdpClient udpClient;

    /**
     * 获取数链仿真系统数据
     *
     * @return res
     */
    @GetMapping("/simulation")
    public CommonResult<String> getSimulationInfo() {
        // TODO 这里差入参需要确定
        Message message = new Message();
        message.setType(OrderEnum.ORDER_CONFIG.getType()).setTarget("GPHM").setSource("SPHM")
            .setData("{\"cmdId\": \"getConfig\"}");
        // udp客户端，向服务端发送获取数据请求服务
        udpClient.bind("127.0.0.1", 19000, Message.msgToBytes(message), "JC01");
        return CommonResult.buildSuccess();
    }

    /**
     * 获取机载数据
     *
     * @return res
     */
    @GetMapping("/airborne/{sortieNo}")
    public CommonResult<String> getAirborneInfo(@PathVariable("sortieNo") String sortieNo) {
        // TODO 这里入参需要确定
        Message message = new Message();
        message.setType(OrderEnum.ORDER_CONFIG.getType()).setTarget("GPHM").setSource("SPHM").setData(
            "{\"cmdId\": \"getConfig\", \"params\": [{\"参数一\":0.1079,\"参数三\":0.6007,\"参数二\":0.0116,\"参数五\":0.0689,\"参数四\":1.1915,\"时间\":\"2022/6/3013:08\"},{\"参数一\":0.8088,\"参数三\":2.9169,\"参数二\":0.6541,\"参数五\":0.6229,\"参数四\":5.5326,\"时间\":\"2022/6/3013:09\"},\t{\"参数一\":0.9088,\"参数三\":2.7169,\"参数二\":0.0541,\"参数五\":0.4229,\"参数四\":3.5326,\"时间\":\"2022/6/3013:10\"}]}");
        // udp客户端，向服务端发送获取数据请求服务
        udpClient.bind("127.0.0.1", 19000, Message.msgToBytes(message), sortieNo);
        return CommonResult.buildSuccess();
    }
}
