package com.phm.netty.enums;

import com.phm.netty.domain.Message;
import lombok.Getter;

import java.util.Arrays;
import java.util.List;
import java.util.Optional;
import java.util.stream.Collectors;

/**
 * @Description MessageEnum 数据类型枚举类
 * @Author WGK
 * @Date 2023/9/14 11:47
 */
@Getter
public enum MessageEnum {

    GET_DATA_BY_ONBOARD((short) 1, "机载数据获取指令"),
    GET_DATA_BY_CHAIN((short) 2, "数据链与数据仿真数据获取指令"),
    FALSE_ALARM((short) 3, "机载故障虚警抑制指令"),
    ISOLATE((short) 4, "机载故障深度隔离指令"),
    GROUND_FAULT((short) 5, "地面故障诊断指令"),
    FAILURE_PREDICTION((short) 6, "故障预测指令"),
    // GET_MODEL((short) 7, "获取模型信息"),
    GET_SORTIE((short) 8, "获取架次信息"),
    ERROR((short) 99, "异常信息"),
    HEARTBEAT((short) 100, "心跳机制"),
    NTP((short) 101, "校时机制"),
    SUCCESS((short) 200, "成功");

    public final short type;
    public final String content;

    MessageEnum(short type, String content) {
        this.type = type;
        this.content = content;
    }
}
