package com.phm.netty.service;

import java.util.List;

import com.phm.manage.domain.OrderConfig;
import com.phm.netty.domain.Message;

/**
 * @Description IProcessService
 * @Author WGK
 * @Date 2023/9/22 9:52
 */
public interface IProcessService {

    /**
     * 通用指令处理
     *
     * @param message msg
     * @return res
     * @throws Exception exception
     */
    Message orderHandle(Message message) throws Exception;

    /**
     * 校时处理
     *
     * @param message msg
     * @throws Exception exception
     */
    void timing(Message message) throws Exception;

    /**
     * 参数传递处理
     *
     * @param message msg
     * @return res
     * @throws Exception exception
     */
    List<OrderConfig> getParameterConfig(Message message) throws Exception;

    /**
     * 解析Data
     *
     * @param message message
     * @param customValue customValue
     * @return res
     * @throws Exception ex
     */
    List<String> handleData(Message message, String customValue) throws Exception;
}
