import request from '@/utils/request'

// 查询指令配置列表
export function listOrderConfig(query) {
  return request({
    url: '/manage/orderConfig/list',
    method: 'get',
    params: query
  })
}

// 查询指令配置详细
export function getOrderConfig(ID) {
  return request({
    url: '/manage/orderConfig/' + ID,
    method: 'get'
  })
}

// 查询指令配置详细XML
export function getOrderConfigXml(ID) {
  return request({
    url: '/manage/orderConfig/xml/' + ID,
    method: 'get'
  })
}

// 新增指令配置
export function addOrderConfig(data) {
  return request({
    url: '/manage/orderConfig',
    method: 'post',
    data: data
  })
}

// 修改指令配置
export function updateOrderConfig(data) {
  return request({
    url: '/manage/orderConfig',
    method: 'put',
    data: data
  })
}

// 删除指令配置
export function delOrderConfig(ID) {
  return request({
    url: '/manage/orderConfig/' + ID,
    method: 'delete'
  })
}
